summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNirbheek Chauhan <nirbheek.chauhan@gmail.com>2008-10-22 17:29:13 +0530
committerNirbheek Chauhan <nirbheek.chauhan@gmail.com>2008-10-22 17:29:13 +0530
commitea689e4935684c7aab19939114da0380cfe79b07 (patch)
tree5d35696501869d05ec5a52fbc71bf8732fc4b4a2
parentae3785267cff202a4628291a8ab2ca94b0a5899f (diff)
Add x11-libs/pango-9999
-rw-r--r--profiles/package.mask1
-rw-r--r--x11-libs/pango/Manifest1
-rw-r--r--x11-libs/pango/pango-9999.ebuild80
3 files changed, 82 insertions, 0 deletions
diff --git a/profiles/package.mask b/profiles/package.mask
index 9d61aa2..055709b 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -4,6 +4,7 @@
# Please append to the top of this list as ebuilds are added
+=x11-libs/pango-9999
=gnome-base/gdm-9999
=gnome-base/gconf-9999
=net-libs/libsoup-9999
diff --git a/x11-libs/pango/Manifest b/x11-libs/pango/Manifest
new file mode 100644
index 0000000..dc45702
--- /dev/null
+++ b/x11-libs/pango/Manifest
@@ -0,0 +1 @@
+EBUILD pango-9999.ebuild 1750 RMD160 51dc62032e1ab22ced509634b1f9fdd913a2c80d SHA1 5adeba1e9372fe32e8a68cd94ed912ee9c48e345 SHA256 2f89cc3fbc08478e95146ed01279854c8e8eddbc2bdbca11ac779f389d14de58
diff --git a/x11-libs/pango/pango-9999.ebuild b/x11-libs/pango/pango-9999.ebuild
new file mode 100644
index 0000000..a3d72a4
--- /dev/null
+++ b/x11-libs/pango/pango-9999.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils gnome2 multilib gnome2-live
+
+DESCRIPTION="Text rendering and layout library"
+HOMEPAGE="http://www.pango.org/"
+
+LICENSE="LGPL-2 FTL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X debug doc"
+
+# glib-2.16.3 dependency instead of 2.14 ensures Unicode 5.1 support on the system
+RDEPEND=">=dev-libs/glib-2.16.3
+ >=media-libs/fontconfig-1.0.1
+ >=media-libs/freetype-2
+ >=x11-libs/cairo-1.7.6
+ X? (
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXft
+ )"
+DEPEND="${RDEPEND}
+ >=dev-util/pkgconfig-0.9
+ doc? (
+ >=dev-util/gtk-doc-1
+ ~app-text/docbook-xml-dtd-4.1.2
+ )
+ X? ( x11-proto/xproto )"
+
+DOCS="AUTHORS ChangeLog* NEWS README TODO*"
+
+function multilib_enabled() {
+ has_multilib_profile || ( use x86 && [ "$(get_libdir)" == "lib32" ] )
+}
+
+pkg_setup() {
+ # Do NOT build with --disable-debug/--enable-debug=no
+ if use debug ; then
+ G2CONF="${G2CONF} --enable-debug=yes"
+ fi
+
+ G2CONF="${G2CONF} $(use_with X x)"
+}
+
+src_unpack() {
+ gnome2_src_unpack
+
+ # make config file location host specific so that a 32bit and 64bit pango
+ # wont fight with each other on a multilib system. Fix building for
+ # emul-linux-x86-gtklibs
+ if multilib_enabled ; then
+ epatch "${FILESDIR}/${PN}-1.2.5-lib64.patch"
+ fi
+}
+
+src_install() {
+ gnome2_src_install
+ rm "${D}/etc/pango/pango.modules"
+}
+
+pkg_postinst() {
+ if [[ "${ROOT}" == "/" ]] ; then
+ einfo "Generating modules listing..."
+
+ local PANGO_CONFDIR=
+
+ if multilib_enabled ; then
+ PANGO_CONFDIR="/etc/pango/${CHOST}"
+ else
+ PANGO_CONFDIR="/etc/pango"
+ fi
+
+ mkdir -p ${PANGO_CONFDIR}
+
+ pango-querymodules > ${PANGO_CONFDIR}/pango.modules
+ fi
+}